summaryrefslogtreecommitdiffstats
path: root/libwiimote
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2009-09-07 18:48:17 +0000
committer Eric Hameleers <alien@slackware.com>2009-09-07 18:48:17 +0000
commit5ca0852f5657facd9bd9c9552342be2b73258fdd (patch)
tree31706d8535600c07a1eedfffdaed59a9ad8a3549 /libwiimote
parent1c779465417bcc6b5ba812230bc410338d90f120 (diff)
downloadasb-5ca0852f5657facd9bd9c9552342be2b73258fdd.tar.gz
asb-5ca0852f5657facd9bd9c9552342be2b73258fdd.tar.xz
Initial revision
Diffstat (limited to 'libwiimote')
-rw-r--r--libwiimote/build/libwiimote-0.4-dso-symlinks.patch13
-rw-r--r--libwiimote/build/libwiimote-0.4-fpic.patch33
-rw-r--r--libwiimote/build/libwiimote-0.4-includedir.patch12
-rw-r--r--libwiimote/build/libwiimote-0.4-soname.patch12
-rwxr-xr-xlibwiimote/build/libwiimote.SlackBuild189
5 files changed, 259 insertions, 0 deletions
diff --git a/libwiimote/build/libwiimote-0.4-dso-symlinks.patch b/libwiimote/build/libwiimote-0.4-dso-symlinks.patch
new file mode 100644
index 00000000..c265f2fe
--- /dev/null
+++ b/libwiimote/build/libwiimote-0.4-dso-symlinks.patch
@@ -0,0 +1,13 @@
+diff -up libwiimote-0.4/Makefile.in.jx libwiimote-0.4/Makefile.in
+--- libwiimote-0.4/Makefile.in.jx 2007-12-18 10:46:33.000000000 -0500
++++ libwiimote-0.4/Makefile.in 2007-12-18 10:47:39.000000000 -0500
+@@ -25,6 +25,9 @@ subdirs:
+ install:
+ mkdir -p $(DESTDIR)$(libdir) $(DESTDIR)$(libwiimote_includedir)
+ $(INSTALL) -m 755 $(LIBDIR)/libcwiimote.so $(DESTDIR)$(libdir)/libcwiimote.so.$(PACKAGE_VERSION)
++ cd $(DESTDIR)$(libdir) && ln -s libcwiimote.so.$(PACKAGE_VERSION) libcwiimote.so.0
++ cd $(DESTDIR)$(libdir) && ln -s libcwiimote.so.0 libcwiimote.so
++
+ $(INSTALL) -m 755 $(LIBDIR)/libcwiimote.a $(DESTDIR)$(libdir)/libcwiimote.a
+ for i in $(SRCDIR)/*.h; do \
+ $(INSTALL) -m 644 $$i $(DESTDIR)$(libwiimote_includedir); \
diff --git a/libwiimote/build/libwiimote-0.4-fpic.patch b/libwiimote/build/libwiimote-0.4-fpic.patch
new file mode 100644
index 00000000..89656b5f
--- /dev/null
+++ b/libwiimote/build/libwiimote-0.4-fpic.patch
@@ -0,0 +1,33 @@
+diff -up libwiimote-0.4/configure.in.BAD libwiimote-0.4/configure.in
+--- libwiimote-0.4/configure.in.BAD 2007-12-18 10:19:06.000000000 -0500
++++ libwiimote-0.4/configure.in 2007-12-18 10:29:08.000000000 -0500
+@@ -9,6 +9,29 @@ AC_CONFIG_SRCDIR([src])
+ AC_PROG_CC
+ AC_PROG_INSTALL
+
++if test "$GCC" = "yes"; then
++ case "${host_cpu}" in
++## Sparc has only an 8k global object table, 1024 entries on 64-bit.
++## PowerPC has 32k, not enough on ppc64 though.
++## The only other platform where this is said to matter is m68k, which
++## has 32k and so can use -fpic.
++## However, although the gcc docs do not mention it, it seems s390/s390x
++## also supports and needs -fPIC
++ sparc*|ppc64|powerpc64|s390*)
++ cpicflags="-fPIC"
++ ;;
++ *)
++ cpicflags="-fpic"
++ ;;
++ esac
++fi
++
++: ${CPICFLAGS="${cpicflags}"}
++
++AC_SUBST(CPICFLAGS)
++
++CFLAGS="${CFLAGS} ${CPICFLAGS}"
++
+ # Checks for BlueZ.
+ AC_CHECK_LIB([bluetooth], [hci_remote_name],
+ [], [AC_MSG_ERROR([We require BlueZ])])
diff --git a/libwiimote/build/libwiimote-0.4-includedir.patch b/libwiimote/build/libwiimote-0.4-includedir.patch
new file mode 100644
index 00000000..8e5b62f1
--- /dev/null
+++ b/libwiimote/build/libwiimote-0.4-includedir.patch
@@ -0,0 +1,12 @@
+diff -up libwiimote-0.4/Makefile.in.jx libwiimote-0.4/Makefile.in
+--- libwiimote-0.4/Makefile.in.jx 2007-02-22 09:54:54.000000000 -0500
++++ libwiimote-0.4/Makefile.in 2007-12-18 10:45:00.000000000 -0500
+@@ -6,7 +6,7 @@ prefix = @prefix@
+ exec_prefix = @exec_prefix@
+ libdir = @libdir@
+ includedir = @includedir@
+-libwiimote_includedir = $(includedir)/libcwiimote-$(PACKAGE_VERSION)/libcwiimote
++libwiimote_includedir = $(includedir)/libcwiimote
+
+ INSTALL = @INSTALL@
+
diff --git a/libwiimote/build/libwiimote-0.4-soname.patch b/libwiimote/build/libwiimote-0.4-soname.patch
new file mode 100644
index 00000000..9f3b12dc
--- /dev/null
+++ b/libwiimote/build/libwiimote-0.4-soname.patch
@@ -0,0 +1,12 @@
+diff -up libwiimote-0.4/src/Makefile.in.jx libwiimote-0.4/src/Makefile.in
+--- libwiimote-0.4/src/Makefile.in.jx 2007-03-10 09:46:36.000000000 -0500
++++ libwiimote-0.4/src/Makefile.in 2008-01-07 18:27:23.000000000 -0500
+@@ -33,7 +33,7 @@ SOURCES = wiimote_link.c \
+ all: libcwiimote.a libcwiimote.so
+
+ libcwiimote.so: $(SOURCES) $(HEADERS)
+- $(CC) $(CFLAGS) $(INCLUDES) $(SOURCES) -shared -o $@ $(LIBS)
++ $(CC) $(CFLAGS) $(INCLUDES) $(SOURCES) -shared -o $@ $(LIBS) -Wl,-soname,libcwiimote.so.0
+ @cp $@ $(LIBDIR)
+
+ libcwiimote.a: $(SOURCES) $(HEADERS)
diff --git a/libwiimote/build/libwiimote.SlackBuild b/libwiimote/build/libwiimote.SlackBuild
new file mode 100755
index 00000000..ee017fec
--- /dev/null
+++ b/libwiimote/build/libwiimote.SlackBuild
@@ -0,0 +1,189 @@
+#!/bin/sh
+# $Id$
+# Copyright (c) 2009 Eric Hameleers <alien@slackware.com>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: libwiimote
+# Descr: simple Wiimote library for linux
+# URL: http://libwiimote.sourceforge.net/
+# Needs:
+# Changelog:
+# 0.4-1: 07/Sep/2009 by Eric Hameleers <alien@slackware.com>
+# * Initial build.
+#
+# Run 'sh libwiimote.SlackBuild' to build a Slackware package.
+# The package (.tgz) and .txt file as well as build logs are created in /tmp .
+# Install it using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# Set initial variables:
+
+PRGNAM=libwiimote
+VERSION=${VERSION:-0.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+NUMJOBS=${NUMJOBS:" -j4 "}
+TAG=${TAG:-alien}
+
+DOCS="AUTHORS COPYING NEWS README TODO"
+
+# Where do we look for sources?
+SRCDIR=$(cd $(dirname $0); pwd)
+
+# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
+TMP=${TMP:-/tmp/build}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SOURCE="$SRCDIR/${PRGNAM}-${VERSION}.tgz"
+SRCURL="http://downloads.sourceforge.net/project/${PRGNAM}/${PRGNAM}/${VERSION}/${PRGNAM}-${VERSION}.tgz"
+
+##
+## --- with a little luck, you won't have to edit below this point --- ##
+##
+
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
+case "$ARCH" in
+ i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ s390) SLKCFLAGS="-O2"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ powerpc) SLKCFLAGS="-O2"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ x86_64) SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
+ ;;
+esac
+
+# Create working directories:
+mkdir -p $OUTPUT # place for the package to be saved
+mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+mkdir -p $PKG # place for the package to be built
+rm -rf $PKG/* # always erase old package's contents
+rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
+rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
+ # remove old log files
+
+# Source file availability:
+if ! [ -f ${SOURCE} ]; then
+ if ! [ "x${SRCURL}" == "x" ]; then
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
+ echo "Source '$(basename ${SOURCE})' not available yet..."
+ echo "Will download file to $(dirname $SOURCE)"
+ wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
+ if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
+ echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
+ mv -f "${SOURCE}" "${SOURCE}".FAIL
+ exit 1
+ fi
+ else
+ echo "File '$(basename ${SOURCE})' not available... aborting the build."
+ exit 1
+ fi
+fi
+
+if [ "$P1" == "--download" ]; then
+ echo "Download complete."
+ exit 0
+fi
+
+# --- PACKAGE BUILDING ---
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+cd $TMP/tmp-$PRGNAM
+echo "Extracting the source archive(s) for $PRGNAM..."
+tar -xvf ${SOURCE}
+cd ${PRGNAM}-${VERSION}
+cat $SRCDIR/libwiimote-0.4-dso-symlinks.patch | patch -p1 --verbose
+cat $SRCDIR/libwiimote-0.4-fpic.patch | patch -p1 --verbose
+cat $SRCDIR/libwiimote-0.4-includedir.patch | patch -p1 --verbose
+cat $SRCDIR/libwiimote-0.4-soname.patch | patch -p1 --verbose
+sed -i -e 's|#-D_DISABLE_NONBLOCK_UPDATES -D_DISABLE_AUTO_SELECT_DEVICE|-D_DISABLE_BLOCKING_UPDATE|' config.mk.in
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+echo Building ...
+autoconf
+LDFLAGS="$SLKLDFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --build=$ARCH-slackware-linux \
+ 2>&1 | tee $OUTPUT/configure-${PRGNAM}.log
+make 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
+make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
+cat $SRCDIR/$(basename $0) | sed \
+ -e "/^VERSION=/s/:-.*}/:-$VERSION}/" \
+ -e "/^ARCH=/s/:-.*}/:-$ARCH}/" \
+ -e "/^BUILD=/s/:-.*}/:-$BUILD}/" \
+ > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+# Compress the man page(s):
+if [ -d $PKG/usr/man ]; then
+ find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+ for i in $(find $PKG/usr/man -type l -name "*.?") ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+fi
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $SRCDIR/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+cd $OUTPUT
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz.md5
+cd -
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
+